﻿@model SelectedProvidersViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{reportName}}
            </h1>
          
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <div class="clearfix"></div>
    <div ng-if="MC.stateParams.reportName != 'ChargeDiscount' && MC.stateParams.reportName != 'Roster' && MC.stateParams.reportName != 'InstructorRoster' && MC.stateParams.reportName != 'StudentAttendance' && MC.stateParams.reportName != 'SignOutSheet'">
        <form ng-submit="runReport()" class="no-margin">
            <p>
                Do you want to run this report on all the providers in this season or only some providers? <br />
                <strong class="fg-red">Running the report on all providers might take a few minutes to complete.</strong>
            </p>
            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin padding-right50" data-role="input-control">
                    <label class="block">
                        <input ng-model="@Html.Ang(m => m.IsAllProviders)" name="isallprogram" value="true" type="radio" ng-change="updateChosenScope()" />
                        <span class="check"></span>
                        All providers
                    </label>
                </div>
                <div class="input-control radio default-style place-left no-margin padding-left20" data-role="input-control">
                    <label class="block">
                        <input ng-model="@Html.Ang(m => m.IsAllProviders)" name="isallprogram" value="false" type="radio" ng-change="updateChosenScope()" />
                        <span class="check"></span>
                        Selected providers
                    </label>
                </div>
            </div>
            <div class="input-control choosen" data-role="input-control" ng-show="Model.IsAllProviders == 'false'">
                <select chosen multiple
                        ng-model="Model._SelectedProviders"
                        data-placeholder="Select providers"
                        ng-options="obj.Value as obj.Text for obj in Model.AllProviders"></select>
            </div>

            <hr />

            <button type="submit" class="success large place-right button" ng-click="RunReport()">Run</button>
            <div class="clearfix"></div>
            <div ng-show="MC.stateParams.reportName == 'RegistrationForm'">
                <fieldset>
                    <legend>Include the following items in this report :</legend>

                    <label>
                        <span class="check">
                            <input ng-model="Model.IncludeForms.Registrations" type="checkbox" />
                        </span>
                        <span class="title ellipsis">Registration form</span>
                    </label>

                    <label>
                        <span class="check">
                            <input ng-model="Model.IncludeForms.Followups" type="checkbox" />
                        </span>
                        <span class="title ellipsis">Follow-up forms</span>
                    </label>

                    <label>
                        <span class="check">
                            <input ng-model="Model.IncludeForms.Waivers" type="checkbox" />
                        </span>
                        <span class="title ellipsis">Waivers</span>
                    </label>
                </fieldset>
            </div>
        </form>
    </div>

    <div ng-if="MC.stateParams.reportName == 'ChargeDiscount' || MC.stateParams.reportName == 'Roster' || MC.stateParams.reportName == 'InstructorRoster' || MC.stateParams.reportName == 'StudentAttendance' || MC.stateParams.reportName == 'SignOutSheet'">
        <form ng-submit="runReport()" class="no-margin">
            <p>
                You can only choose one provider
                <br />
            </p>
            <div class="input-control choosen" data-role="input-control" ng-click="updateChosenScope()">
                <select chosen
                        ng-model="Model._SelectedProviders"
                        data-placeholder="Select the provider to run"
                        ng-options="obj.Value as obj.Text for obj in Model.AllProviders" ng-change="@Html.Ang(m => m.IsAllProviders) = false"></select>
            </div>

            <hr />

            <button type="submit" class="success large place-right button">Run</button>
            <div class="clearfix"></div>
        </form>
    </div>
</div>




